<?php

namespace AMZcockpitDoctrine\Repository;

use AMZcockpitDoctrine\DBAL\Types\SupportTicketStatutType;

/**
 * SupportTicketRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class SupportTicketRepository extends \Doctrine\ORM\EntityRepository
{
    function getSupportByStatut($status = null)
    {
        $qb = $this->createQueryBuilder('s')
            ->select('s');
        if($status == 'archived') {
            $qb->where($qb->expr()->eq('s.statut',':status'))
                ->setParameter('status', SupportTicketStatutType::ARCHIVED);
        } else {
            $qb->where($qb->expr()->neq('s.statut',':status'))
                ->setParameter('status', SupportTicketStatutType::ARCHIVED);
        }
        return  $qb->getQuery()->getResult();
    }
}
